## libreoffice 7.4.2~rc3

=== debian/changelog ===
libreoffice (1:7.4.2~rc3-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 10 Oct 2022 22:28:38 +0200

libreoffice (1:7.4.2~rc3-1) experimental; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Oct 2022 19:06:49 +0200

libreoffice (1:7.4.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - add missing >&3 to ufcq calls in bug scripts
    - fix build-depends-on-obsolete-package
      (s/libfreetype6-dev/libfreetype-dev/,
      s/libfontconfig1-dev/libfontconfig-dev/) 
  * debian/control.gtk4.in: remove "when running under GNOME"
    from package description since GNOME implies gtk3
  * debian/control.{gtk4,qt5,qt6}.in: mention the need to
    manually export SAL_USE_VCLPLUGIN

 -- Rene Engelhard <rene@debian.org>  Thu, 06 Oct 2022 17:44:16 +0200

libreoffice (1:7.4.2~rc2-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

  [ Rene Engelhard ]
  * debian/rules: add missing >&3
  * debian/rules: fix build-depends-on-obsolete-package
    (s/libfreetype6-dev/libfreetype-dev/,
     s/libfontconfig1-dev/libfontconfig-dev/)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 06 Oct 2022 10:38:00 +0200

libreoffice (1:7.4.2~rc1-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Sep 2022 10:03:05 +0200

libreoffice (1:7.4.2~rc1-2) experimental; urgency=medium

  * reupload with correct control... 

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Sep 2022 18:08:40 +0200

libreoffice (1:7.4.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Sep 2022 17:36:50 +0200

libreoffice (1:7.4.1-1) unstable; urgency=medium

  * LibreOffice 7.4.1 final release (identical to rc2)
    (closes: #1018173)

  * debian/source/lintian-overrides: update for latest copyright changes

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Sep 2022 19:49:58 +0200

libreoffice (1:7.4.1~rc2-3) unstable; urgency=medium

  * upload to unstable

  * debian/rules:
    - don't depend on node-prismjs on bullseye-backport since there it
      depends on nodejs... 
    - also use node-prismjs/node-normalize.css for the build and add them
      to Build-Depends-Indep
  * debian/copyright, debian/libreoffice-common.links: mention prism.css
    explicitly and link to node-primsjs' prism-coy.css

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Sep 2022 22:30:14 +0200

libreoffice (1:7.4.1~rc2-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2022-09-04"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 09 Sep 2022 22:23:33 +0200

libreoffice (1:7.4.1~rc2-2) experimental; urgency=medium

  * upload with correct control.... 

 -- Rene Engelhard <rene@debian.org>  Sat, 10 Sep 2022 13:28:55 +0200

libreoffice (1:7.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/poppler-22.09.diff: fix build with poppler 22.09,
    from gerrit

  The "hrmpf. lintian" release.

  * debian/source/lintian-overrides, debian/*.lintian-overrides,
    debian/copryight:
    - really fix those lintian warnings supposed to be fixed in -3
  * debian/changelog:
    - fix debian-changelog-line-too-long in -3s changelog
  * debian/copyright:
    - fix license of sysui/desktop/appstream-appdata/*.xml, "fix"
      some superfluous-file-pattern, thanks lintian
  * debian/source.lintian-overrides:
    - override new(?) superfluous-file-pattern, (even the ones before
      since lintian still complains)
  * debian/rules, debian/libreoffice-help-common.links: link and depend
    on node-prismjs (and depend on node-normalize.css instead of the virtual
    libjs-normalize.css)

 -- Rene Engelhard <rene@debian.org>  Sat, 10 Sep 2022 08:16:12 +0200

libreoffice (1:7.4.1~rc1-3) unstable; urgency=medium

  * debian/source/lintian-overrides, debian/*.lintian-overrides:
    - update mismatched lintian overrides (and override some more lintian
      madness)
  * debian/copryight: update for prism.js, remove js which are gone

  * debian/rules:
    - mkdir -p /usr/lib/libreoffice/share/extensions explicitly to have
      libreoffice-common "own it"
  * debian/shell-lib-extensions.sh:
    - only touch /usr/lib/libreoffice/share/extensions when it is existing
      and a directory to go sure
  * debian/libreoffice-common.preinst.in:
    - rm -f /usr/lib/libreoffice/share/extensions in preinst when it's a
      0-byte file
  (all together closes: #1005832, #1018750)

 -- Rene Engelhard <rene@debian.org>  Thu, 01 Sep 2022 06:24:20 +0200

libreoffice (1:7.4.1~rc1-2) unstable; urgency=medium

  * upload to unstable 

  * debian/watch: watch releases again for preparation of not uploading any
    rc anymore

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Aug 2022 07:59:51 +0200

libreoffice (1:7.4.1~rc1-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2022-08-15"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 24 Aug 2022 15:19:00 +0200

libreoffice (1:7.4.1~rc1-1) experimental; urgency=medium

  * debian/patches/Make-configure-work-with-gpgme-1.18.patch: as name says,
    from gerrit

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 24 Aug 2022 18:28:30 +0200

libreoffice (1:7.4.0~rc3-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 10 Aug 2022 16:58:17 +0200

libreoffice (1:7.4.0~rc3-1) unstable; urgency=medium

  * debian/patches/add-libebook-1.2.so.21.patch: as name says for libebook
    SONAME bump
  * debian/patches/fix-eot-configure-ac.diff: as name says; make --enable-eot
    work again 

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Aug 2022 16:04:33 +0000

libreoffice (1:7.4.0~rc2-3) unstable; urgency=medium


