## libreoffice 7.4.5

=== debian/changelog ===
libreoffice (4:7.4.5-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 1:6.0.2-1+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Fri, 27 Apr 2018 02:14:18 +0000]
  * Disable testsuite.

  [changes introduced in 1:5.4.0-1+rpi1 by Peter Michael Green]
  * Disable pdfium, it fails to build for armv6

  [changes introduced in 1:7.2.4-3+rpi1 by Peter Michael Green]
  * Use clang 11, newer versions cause armv7 contamination issues.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 02 Feb 2023 04:30:37 +0000

libreoffice (4:7.4.5-1) unstable; urgency=medium

  * New upstream hotfix release

 -- Rene Engelhard <rene@debian.org>  Thu, 26 Jan 2023 20:42:19 +0000

libreoffice (4:7.4.4-8) unstable; urgency=medium

  * The "(More) 'Fun' with epochs" release.

  * debian/control.in:
    - update -common Breaks: on -core after the epoch bumps (and add
      -core-nogui) (closes: #1029534)

 -- Rene Engelhard <rene@debian.org>  Wed, 25 Jan 2023 22:43:15 +0100

libreoffice (4:7.4.4-7) unstable; urgency=medium

  * The "if something goes wrong it really does" or 
    "Don't do stuff in a hurry" release 
  * bump all epochs again since I again uploaded 7.5.0 to unstable
    accidentially in a hurry. At least we can now consistently set the epoch
    to 4: for all packages (as was done in experimental already)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2023 07:07:49 +0100

libreoffice (2:7.4.4-6) unstable; urgency=medium

  * also bump epoch for libreoffice-wiki-publisher and libreoffice-nlpsolver
    to 1: ...

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2023 06:12:49 +0100

libreoffice (2:7.4.4-5) unstable; urgency=medium

  * bump fonts-opensymbol epoch to 3: 

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Jan 2023 22:35:47 +0100

libreoffice (2:7.4.4-4) unstable; urgency=medium

  * reupload to fix accidential 7.5.0 upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Jan 2023 10:23:53 +0100

libreoffice (1:7.4.4-3) unstable; urgency=medium

  * reupload with fixed control... 

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Jan 2023 05:44:11 +0000

libreoffice (1:7.4.4-2) unstable; urgency=medium

  * fontconfig-2.14.1-no-RGB-stripes-layout-for-sub-pixel-rendering.diff: 
    as name says, fix vcls testSimpleText with fontconfig-config 2.14.1-3
    (closes: #1029104). Apply before test and unapply after for now to not
    install it in fonts-opensymbol (as we for now are patching that file)

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Jan 2023 21:01:57 +0100

libreoffice (1:7.4.4-1) unstable; urgency=medium

  * LibreOffice 7.4.4 final release (identical to rc2)

  * debian/control.in: fix Vcs-Git:
  * debian/tests/control: regen to fix unused tests' depends
  * debian/control: regen for java-common 0.74 (only affecting powerpc)
  * debian/rules:
    - set extra builid to BINARY_VERSION instead of DEB_VERSION to reflect
      the actual binary package version of libreoffice-core if they differed

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Jan 2023 15:37:30 +0100

libreoffice (1:7.4.4~rc2-2) unstable; urgency=medium

  * debian/rules: also add forgotten DEB_LDFLAGS_MAINT_STRIP for -flto=auto
    and (if using "small symbols" anyway -ffat-lto-objects)

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Dec 2022 00:22:03 +0100

libreoffice (1:7.4.4~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/boost-1.81.diff: add patch from libreoffice-7-5 branch; 
    fix build with boost 1.81
  * debian/patches/0004-Remove-dependency-on-BitArray.h-from-zxing-1.2.0.patch:
    add from clearlinux-pkgs, thanks Johannes Schauer -
    see https://github.com/zxing-cpp/zxing-cpp/issues/361 (closes: #1027048)

  * debian/source/lintian-overrides: override bogus
    source-contains-prebuilt-windows-binary for
    [sw/qa/extras/txtimport/data/GB18030.txt]; also override
    source-is-missing for some htmls in sw/qa/extras/html{import,export}/data

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Dec 2022 12:27:48 +0100

libreoffice (1:7.4.4~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 15 Dec 2022 21:12:29 +0100

libreoffice (1:7.4.3-2) unstable; urgency=medium

  * debian/rules: disable checks on s390x for now (cause OOM on the buildds),
    the results are ignored anyway.
  
 -- Rene Engelhard <rene@debian.org>  Mon, 28 Nov 2022 18:32:19 +0100

libreoffice (1:7.4.3-1) unstable; urgency=medium

  * LibreOffice 7.4.3 final release (identical to rc2)

  * upload to unstable

  * debian/rules: use system-lockfile; lockfile is actually built during
    the build on non-cross builds

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Nov 2022 18:58:08 +0100

libreoffice (1:7.4.3~rc2-2) experimental; urgency=medium

  * debian/patches/fix-system-libfixmath.diff: fix build without
    mergelibs (a.k.a. 32bit archs) by adding explicit -llibfixmath ...

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Nov 2022 21:54:08 +0100

libreoffice (1:7.4.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/fix-system-libfixmath.diff: actually don't compile
    internal fix16.cxx but use system-libfixmath as intended
  * debian/rules, debian/patches/dragonbox-1.1.3.diff: fix build with
    dragonbox 1.1.3 and update dragonbox build-dependency
    (closes: #1024157)

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Nov 2022 18:42:19 +0100

libreoffice (1:7.4.3~rc1-2) experimental; urgency=medium

  * debian/*.symbols: fix lintians
    "symbols-file-contains-current-version-with-debian-revision on
    symbol GLIBCXX_3.4@GLIBCXX_3.4" by adding a alternative dependency
    template triggering on this symbol and adding an extra dependency on
    libstdc++6 (>= 4.1.1) (version taking from libstdc++.symbols)
  * debian/rules:
    - now that we cover all symbols in *.symbols, use -c2 for dh_makeshlibs

