=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: autoconf,
               automake,
               bc,
               binutils (>= 2.37-9) [ppc64],
               bison,
               bzip2,
               clang-11 [alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel mips64el ppc64el],
               coinor-libcoinmp-dev (>= 1.8.3-3),
               coinor-libcoinutils-dev (>= 2.10.14+repack1-1~),
               cpp,
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !powerpcspe !s390 !sparc] <!nojava>,
               dh-python <!nopython>,
               dpkg-dev (>= 1.20.1),
               dwz (>> 0.12-3),
               firebird-dev (>= 3.0.0.32483.ds4-4) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc],
               flex (>= 2.3.35),
               fontforge-nox | fontforge,
               g++ (>= 4:7),
               gcc (>= 4:7),
               gobject-introspection (>= 1.32.0),
               gperf (>= 3.1),
               java-common (>= 0.61) <!nojava>,
               javahelper (>= 0.37~) <!nojava>,
               libabsl-dev,
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libavahi-client-dev,
               libbase-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev (>= 1.71),
               libboost-dev (>= 1.71),
               libboost-filesystem-dev (>= 1.71),
               libboost-iostreams-dev (>= 1.71),
               libboost-locale-dev (>= 1.71),
               libbox2d-dev,
               libc0.1 (>= 2.10.2-7) [kfreebsd-any],
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev (>= 2.3.3.4-4.1),
               libcups2-dev,
               libcurl4-gnutls-dev (>= 7.68),
               libdbus-1-dev (>= 0.60),
               libdconf-dev (>= 0.15.2),
               libdragonbox-dev (>= 1.1.3),
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libebook1.2-dev,
               libeot-dev,
               libepoxy-dev (>= 1.2),
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libexpat1-dev,
               libexttextcat-dev (>= 3.4.1),
               libfixmath-dev,
               libflute-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libfontconfig-dev,
               libfonts-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libformula-java (>= 1.1.7) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype-dev (>= 2.8.1),
               libgirepository1.0-dev (>= 1.32),
               libgl-dev,
               libglib2.0-dev (>= 2.38.0),
               libglib2.0-dev (>= 2.4),
               libglm-dev (>= 0.9.9~a2),
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.14),
               libgraphite2-dev (>= 0.9.3),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.20.0),
               libharfbuzz-dev (>= 2.1.0),
               libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libhunspell-dev (>= 1.1.5-2),
               libhyphen-dev (>= 2.4),
               libice-dev,
               libicu-dev (>= 52),
               libjpeg-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5windowsystem-dev,
               liblangtag-dev (>= 0.4),
               liblayout-java (>= 0.2.10) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               liblcms2-dev,
               libldap2-dev,
               libloader-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               liblockfile-bin,
               liblpsolve55-dev (>= 5.5.0.13-5+b1),
               libmariadb-dev,
               libmdds-dev (<< 2.1~),
               libmdds-dev (>= 2.0),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmwaw-dev (<< 0.4~),
               libmwaw-dev (>= 0.3.1),
               libmythes-dev (>= 2:1.2),
               libnspr4-dev,
               libnss3-dev (>= 3.12.3),
               libnumbertext-dev (>= 1.0.6),
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               libopenjp2-7-dev,
               liborcus-dev (<< 0.18~),
               liborcus-dev (>= 0.17.2),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpentaho-reporting-flow-engine-java (>= 0.9.4) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libpng-dev (>= 1.6),
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.14.0),
               libpoppler-private-dev,
               libpq-dev (>= 9.0~),
               libqt5x11extras5-dev (>= 5.6),
               libqxp-dev,
               libqxp-dev (<< 0.1~),
               librdf0-dev (>= 1.0.16-2),
               librepository-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsac-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libsane-dev,
               libserializer-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libsm-dev,
               libstaroffice-dev,
               libstaroffice-dev (<< 0.1~),
               libsuitesparse-dev (>= 1:3.4.0),
               libtiff-dev,
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwebp-dev,
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libwps-dev (<< 0.5~),
               libwps-dev (>= 0.4),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libxml2-dev (>= 2.8),
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.28),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libzmf-dev,
               libzmf-dev (<< 0.1~),
               libzxingcore-dev (>= 1.2.0),
               llvm [alpha amd64 arm64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel mips64el ppc64el],
               lp-solve (>= 5.5.0.13-5+b1),
               maven-repo-helper,
               pkg-config,
               python3,
               python3-dev (>= 3.3) <!nopython>,
               python3-distutils <!nopython>,
               qt5-qmake (>= 5.6),
               qtbase5-dev (>= 5.6),
               qtbase5-dev-tools (>= 5.6),
               unixodbc-dev (>= 2.2.11),
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: firebird3.0-server-core [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nocheck>,
                    fontconfig [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-crosextra-carlito [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-dejavu [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-kacst [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-liberation2 [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-linuxlibertine [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-noto-core [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    gdb [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    ghostscript [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    gpg [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    gpg-agent [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    gpgconf [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    hunspell-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    hyphen-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    imagemagick [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libcppunit-dev (>= 1.14) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libcppunit-dev (>= 1.15.1-4) [alpha amd64 arm64 ia64 mips64 ppc64 ppc64el sparc64] <!nocheck>,
                    libe-book-dev (>= 0.1.2) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libetonyek-dev (>= 0.1.8) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libmwaw-dev (>= 0.3.21),
                    libnumbertext-data (>= 1.0.11) <!nocheck>,
                    libstaroffice-dev (>= 0.0.3) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libwps-dev (>= 0.4.12) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    locales [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    poppler-data [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    pstoedit [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    python3-lxml [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck !nopython>
Build-Depends-Indep: ant (>= 1.7.0) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
                     ant-optional (>= 1.7.0) [!hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
                     apparmor <!nocheck>,
                     dh-apparmor,
                     doxygen (>= 1.8.4) <!nodoc>,
                     gettext,
                     graphviz <!nodoc>,
                     junit4 (>= 4.8.2-2) <!nojava>,
