=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,14 @@
 # Authors:
 # Chris Halls <halls@debian.org>
 # Rene Engelhard <rene@debian.org>
-# Copyright 2002-2015 Software in the Public Interest, Inc.
+# Copyright 2002-2022 Software in the Public Interest, Inc.
 # Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
 # Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
 # Licensed under the GNU General Public License, version 2.  See the file
 # /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
 ################################################################################
+
+export DEB_BUILD_OPTIONS += nocheck
 
 vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
 
@@ -68,30 +70,24 @@
 STAMP_DIR=debian/stampdir
 TARFILE_LOCATION=$(CURDIR)/tarballs
 export TARFILE_LOCATION
-USE_SOURCE_TARBALLS=n
+USE_SOURCE_TARBALLS=y
 USE_GIT_TARBALLS=n
 ifeq "$(USE_GIT_TARBALLS)" "y"
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
-# bootstraping this from the source tree is breaking get-orig-source
-#lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=7.4.2.3
+lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-7-4-2
+GIT_BRANCH=libreoffice-7.4.5.1
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
-endif
-
-ifeq "$(USE_GIT_TARBALLS)" "y"
-YARU_GIT_TAG=2022-09-04
 endif
 
 #########
 # Default package configuration
 #
-OOO_ARCHS = amd64 arm64 armhf ppc64el s390x
+OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
 PATCHSET=$(DEB_VENDOR)
 BUILD_DEPS=\
     autoconf,\
@@ -264,4 +260,3 @@
     ENABLE_PACKAGEKIT=n
 endif
 ENABLE_AVAHI=y
-ifeq "$(ENABLE_GUI)" "y"
